Break command: a way to be faster breacking line in the same point without selecting "F" "@"??

Hello all,
please can you help me finding a way to break lines just in 2 clicks, without selecting "f" a then "@" to split line in the same point?
I really don't know why it is so complex...
are there variables about break command where you can define how I would break the line??
Thanks!
Riccardo

Comments

  • Me too!
  • One click:
    (defun c:bn ( / ent pt) (setq ent (entsel "\nSelect entity to break: ")) (setq pt (osnap (cadr ent) "near")) (setq ent (car ent)) (command "break" ent "non" pt "non" pt) )
  • To select the line and point separately, and with esnaps working for the point selection:
    (defun c:bn2 ( / ent pt) (setq ent nil) (while (= ent nil) (setq ent (LM:ssget "\nSelect the line to break: " '("_+.:E:S:L" ((0 . "LINE"))))) (if (vle-picksetp ent) (setq ent (ssname ent 0)) ) ) (setq pt (getpoint "\nSelect the break point: ")) (setq pt (vlax-curve-getClosestPointTo (vlax-ename->vla-object ent) pt1)) (command "break" ent "non" pt "non" pt) )